Tspi_TPM_PcrRead(3)

TCG Software Stack Developer's Reference

NAME
Tspi_TPM_PcrRead - read the value in a PCR register

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_TPM_PcrRead(TSS_HTPM hTPM,              UINT32 ulPcrIndex,
                            UINT32*  pulPcrValueLength, BYTE** prgbPcrValue);

DESCRIPTION

Tspi_TPM_PcrRead reads a PCR register to find the current values.

PARAMETERS

  hTPM
The hTPM parameter is used to specify the handle of the TPM object. The command to get the TPM to test itself will be sent here.

  ulPcrIndex
The ulPcrIndex parameter is the index of the PCR to read.

  pulPcrValueLength
The pulPcrValueLength parameter receives the length in bytes of the prgbPcrValue parameter.

  prgbPcrValue
The prgbPcrValue parameter receives a pointer to the memory block containing the PCR data.

RETURN CODES

Tspi_TPM_PcrRead returns TSS_SUCCESS on success, otherwise one of the following values is returned:

TSS_E_INVALID_HANDLE
    hTPM is not a valid handle.

TSS_E_INTERNAL_ERROR
    An internal SW error has been detected.

TSS_E_BAD_PARAMETER
    One or more parameters is bad.

CONFORMING TO

Tspi_TPM_PcrRead conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_TPM_PcrExtend(3).